package com.schbrain.canal.client.core;

import com.schbrain.canal.client.event.CanalEvent;
import lombok.Data;
import lombok.Getter;
import lombok.experimental.Accessors;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author zhuyf
 * @date 2022/6/20
 */
@Getter
@Accessors(fluent = true)
public class HandlerConf {
    /**
     * 所有执行器
     */
    private final List<CanalEvent> listeners;
    /**
     * 表过滤器
     */
    private final Map<String,List<CanalEvent>> tableCanalEventMap;
    /**
     * 切面执行器
     */
    private final List<ListenerPoint> annoListeners;

    public HandlerConf(List<CanalEvent> listeners, Map<String, List<CanalEvent>> tableCanalEventMap, List<ListenerPoint> annoListeners) {
        this.listeners = listeners;
        this.tableCanalEventMap = tableCanalEventMap;
        this.annoListeners = annoListeners;
    }
}
